=== modified file 'NEWS'
--- NEWS	2010-03-01 08:52:45 +0000
+++ NEWS	2010-03-03 14:10:25 +0000
@@ -4,6 +4,9 @@
 
    * Guard setup() call when not loaded as __main__. (Robert Collins)
 
+   * Don't crash when there is already a lan-notify instance running.
+     (Jelmer Vernooij, #339284)
+
 FEATURES
 
   * Add support for Indicator Application (Sense Hofstede, Jelmer Vernooij,

=== modified file 'notify.py'
--- notify.py	2009-01-29 10:06:26 +0000
+++ notify.py	2010-03-03 14:10:25 +0000
@@ -40,6 +40,7 @@
         self.create_items()
 
     def create_items(self):
+        from bzrlib import errors
         item = gtk.CheckMenuItem('_Gateway to LAN')
         item.connect('toggled', self.toggle_lan_gateway)
         self.append(item)
@@ -49,6 +50,10 @@
             self.langateway = LanGateway()
         except ImportError:
             item.set_sensitive(False)
+        except errors.BzrError:
+            # FIXME: Should only catch errors that indicate a lan-notify 
+            # process is already running.
+            item.set_sensitive(False)
 
         item = gtk.CheckMenuItem('Announce _branches on LAN')
         item.connect('toggled', self.toggle_announce_branches)

